﻿/**
*
*  RSSReader is a lightweight RSS client written in C#
*
*  Copyright 2012 Ashot Aslanyan <ashot.aslanian@gmail.com>
*
*  This file is part of RSSReader.
*
*  RSSReader is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  RSSReader is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with servmonitor.  If not, see <http://www.gnu.org/licenses/>.
*
*/

using System.Windows.Forms;

namespace RSSReader
{
    public partial class FormView
    {
        private System.ComponentModel.IContainer components = null;

        private SplitContainer MainContainer;
        private TreeView Items;
        private MenuStrip MainMenu;
        private ToolStripMenuItem File;
        private ToolStripMenuItem AddFeed;
        private ToolStripSeparator Separator;
        private ToolStripMenuItem Quit;
        private ContextMenuStrip ItemsContextMenu;
        private ToolStripMenuItem MarkAllAsRead;
        private ToolStripMenuItem Help;
        private ToolStripMenuItem About;
        private NotifyIcon NotificationIcon;
        private ContextMenuStrip NotificationIconContextMenu;
        private ToolStripMenuItem Exit;
        private WebBrowser Message;

        /// <summary>
        /// Initalizes <see cref="RSSReader.FormView"/>
        /// </summary>
        protected void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(FormView));
            this.MainContainer = new System.Windows.Forms.SplitContainer();
            this.Items = new System.Windows.Forms.TreeView();
            this.Message = new System.Windows.Forms.WebBrowser();
            this.MainMenu = new System.Windows.Forms.MenuStrip();
            this.File = new System.Windows.Forms.ToolStripMenuItem();
            this.AddFeed = new System.Windows.Forms.ToolStripMenuItem();
            this.Separator = new System.Windows.Forms.ToolStripSeparator();
            this.Quit = new System.Windows.Forms.ToolStripMenuItem();
            this.Help = new System.Windows.Forms.ToolStripMenuItem();
            this.About = new System.Windows.Forms.ToolStripMenuItem();
            this.ItemsContextMenu = new System.Windows.Forms.ContextMenuStrip(this.components);
            this.MarkAllAsRead = new System.Windows.Forms.ToolStripMenuItem();
            this.NotificationIcon = new System.Windows.Forms.NotifyIcon(this.components);
            this.NotificationIconContextMenu = new System.Windows.Forms.ContextMenuStrip(this.components);
            this.Exit = new System.Windows.Forms.ToolStripMenuItem();
            this.MainContainer.Panel1.SuspendLayout();
            this.MainContainer.Panel2.SuspendLayout();
            this.MainContainer.SuspendLayout();
            this.MainMenu.SuspendLayout();
            this.ItemsContextMenu.SuspendLayout();
            this.NotificationIconContextMenu.SuspendLayout();
            this.SuspendLayout();
            // 
            // MainContainer
            // 
            this.MainContainer.Dock = System.Windows.Forms.DockStyle.Fill;
            this.MainContainer.Location = new System.Drawing.Point(0, 24);
            this.MainContainer.Name = "MainContainer";
            // 
            // MainContainer.Panel1
            // 
            this.MainContainer.Panel1.Controls.Add(this.Items);
            // 
            // MainContainer.Panel2
            // 
            this.MainContainer.Panel2.Controls.Add(this.Message);
            this.MainContainer.Size = new System.Drawing.Size(640, 456);
            this.MainContainer.SplitterDistance = 256;
            this.MainContainer.TabIndex = 0;
            // 
            // Items
            // 
            this.Items.Dock = System.Windows.Forms.DockStyle.Fill;
            this.Items.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
            this.Items.Location = new System.Drawing.Point(0, 0);
            this.Items.Name = "Items";
            this.Items.Size = new System.Drawing.Size(256, 456);
            this.Items.TabIndex = 0;
            this.Items.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.Items_Click);
            this.Items.MouseUp += new System.Windows.Forms.MouseEventHandler(this.Items_MouseUp);
            // 
            // Message
            // 
            this.Message.Dock = System.Windows.Forms.DockStyle.Fill;
            this.Message.Location = new System.Drawing.Point(0, 0);
            this.Message.MinimumSize = new System.Drawing.Size(20, 20);
            this.Message.Name = "Message";
            this.Message.Size = new System.Drawing.Size(380, 456);
            this.Message.TabIndex = 0;
            // 
            // MainMenu
            // 
            this.MainMenu.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.File,
            this.Help});
            this.MainMenu.Location = new System.Drawing.Point(0, 0);
            this.MainMenu.Name = "MainMenu";
            this.MainMenu.RenderMode = System.Windows.Forms.ToolStripRenderMode.System;
            this.MainMenu.Size = new System.Drawing.Size(640, 24);
            this.MainMenu.TabIndex = 1;
            this.MainMenu.Text = "Menu";
            // 
            // File
            // 
            this.File.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.AddFeed,
            this.Separator,
            this.Quit});
            this.File.Name = "File";
            this.File.Size = new System.Drawing.Size(37, 20);
            this.File.Text = "&File";
            // 
            // AddFeed
            // 
            this.AddFeed.Name = "AddFeed";
            this.AddFeed.Size = new System.Drawing.Size(140, 22);
            this.AddFeed.Text = "&Add feed";
            this.AddFeed.Click += new System.EventHandler(this.AddFeed_Click);
            // 
            // Separator
            // 
            this.Separator.Name = "Separator";
            this.Separator.Size = new System.Drawing.Size(137, 6);
            // 
            // Quit
            // 
            this.Quit.Name = "Quit";
            this.Quit.ShortcutKeys = ((System.Windows.Forms.Keys)((System.Windows.Forms.Keys.Control | System.Windows.Forms.Keys.Q)));
            this.Quit.Size = new System.Drawing.Size(140, 22);
            this.Quit.Text = "&Quit";
            this.Quit.Click += new System.EventHandler(this.Quit_Click);
            // 
            // Help
            // 
            this.Help.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.About});
            this.Help.Name = "Help";
            this.Help.Size = new System.Drawing.Size(44, 20);
            this.Help.Text = "Help";
            // 
            // About
            // 
            this.About.Name = "About";
            this.About.Size = new System.Drawing.Size(107, 22);
            this.About.Text = "About";
            this.About.Click += new System.EventHandler(this.About_Click);
            // 
            // ItemsContextMenu
            // 
            this.ItemsContextMenu.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.MarkAllAsRead});
            this.ItemsContextMenu.Name = "ContextMenu";
            this.ItemsContextMenu.Size = new System.Drawing.Size(157, 26);
            // 
            // MarkAllAsRead
            // 
            this.MarkAllAsRead.Name = "MarkAllAsRead";
            this.MarkAllAsRead.Size = new System.Drawing.Size(156, 22);
            this.MarkAllAsRead.Text = "Mark all as read";
            this.MarkAllAsRead.Click += new System.EventHandler(this.MarkAllAsRead_Click);
            // 
            // NotificationIcon
            // 
            this.NotificationIcon.ContextMenuStrip = this.NotificationIconContextMenu;
            this.NotificationIcon.Icon = ((System.Drawing.Icon)(resources.GetObject("NotificationIcon.Icon")));
            this.NotificationIcon.Text = "RSS Reader";
            this.NotificationIcon.Visible = true;
            this.NotificationIcon.MouseDoubleClick += new System.Windows.Forms.MouseEventHandler(this.NotificationIcon_MouseDoubleClick);
            // 
            // NotificationIconContextMenu
            // 
            this.NotificationIconContextMenu.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.Exit});
            this.NotificationIconContextMenu.Name = "NotificationIconContextMenu";
            this.NotificationIconContextMenu.Size = new System.Drawing.Size(153, 48);
            // 
            // Exit
            // 
            this.Exit.Name = "Exit";
            this.Exit.Size = new System.Drawing.Size(152, 22);
            this.Exit.Text = "Exit";
            this.Exit.Click += new System.EventHandler(this.Quit_Click);
            // 
            // FormView
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.ClientSize = new System.Drawing.Size(640, 480);
            this.Controls.Add(this.MainContainer);
            this.Controls.Add(this.MainMenu);
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.MainMenuStrip = this.MainMenu;
            this.Name = "FormView";
            this.Text = "RSS Reader";
            this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.FormView_FormClosing);
            this.Shown += new System.EventHandler(this.FormView_Shown);
            this.Resize += new System.EventHandler(this.FormView_Resize);
            this.MainContainer.Panel1.ResumeLayout(false);
            this.MainContainer.Panel2.ResumeLayout(false);
            this.MainContainer.ResumeLayout(false);
            this.MainMenu.ResumeLayout(false);
            this.MainMenu.PerformLayout();
            this.ItemsContextMenu.ResumeLayout(false);
            this.NotificationIconContextMenu.ResumeLayout(false);
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        /// <summary>
        /// Disposes of the resources (other than memory) used by the <see cref="RSSReader.FormView"/>.
        /// </summary>
        /// <param name="disposing">true to release both managed and unmanaged resources; false to release only unmanaged resources. </param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}
